org.w3c.dom.css

## Interface CSSPageRule

All Superinterfaces:
  CSSRule

    public interface CSSPageRule
    extends CSSRule

The `CSSPageRule` interface represents a @page rule within a CSS style sheet. The `@page` rule is used to specify the dimensions, orientation, margins, etc. of a page box for paged media.

See also the Document Object Model (DOM) Level 2 Style Specification.

Since:
  DOM Level 2

### Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

### Method Summary

Methods
`String` `getSelectorText()` The parsable textual representation of the page selector for the rule.
`CSSStyleDeclaration` `getStyle()` The declaration-block of this rule.
`void` `setSelectorText(String selectorText)` The parsable textual representation of the page selector for the rule.

### Methods inherited from interface org.w3c.dom.css.CSSRule

`getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

### Method Detail

#### getSelectorText

    String getSelectorText()

The parsable textual representation of the page selector for the rule.

#### setSelectorText

    void setSelectorText(String selectorText)
                         throws DOMException

The parsable textual representation of the page selector for the rule.

Throws:
  `DOMException` - SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.
  NO_MODIFICATION_ALLOWED_ERR: Raised if this rule is readonly.

#### getStyle

    CSSStyleDeclaration getStyle()

The declaration-block of this rule.